//©Back Tools By Electric Games

function ItemModel (renderer){
var Model = renderer.getModel();
var head = Model.getPart('head');
var body = Model.getPart('body');
var rightArm = Model.getPart('rightArm');
var leftArm = Model.getPart('leftArm');
var rightLeg = Model.getPart('rightLeg');
var leftLeg = Model.getPart('leftLeg');
head.clear();
body.clear();
rightArm.clear();
leftArm.clear();
rightLeg.clear();
leftLeg.clear();
var modelTree = [{name:"Item", dimensionX:16, dimensionY:16, dimensionZ:0, rotationX:0, rotationY:0, rotationZ:0, offsetX:-8, offsetY:45, offsetZ:3, scale:0, textOffsetX:0, textOffsetY:0, modelPart:"body"}];
var textureSize =  {x:16, y:16};
for (var a in modelTree) {
var m = modelTree[a];
var modelPart = m.modelPart;
eval(modelPart + '.setTextureSize(' + textureSize.x + ',' + textureSize.y + ');');
eval(modelPart + '.setTextureOffset(' + m.textOffsetX + ',' + m.textOffsetY + ', true);');
eval(modelPart + '.addBox(' + m.offsetX + ',' + m.offsetY + ',' + m.offsetZ + ',' + m.dimensionX + ',' + m.dimensionY + ',' + m.dimensionZ + ',' + m.scale + ');');
eval(modelPart + '.setRotationPoint(' + m.rotationX + ',' + m.rotationY + ',' + m.rotationZ + ');');
}}
var ItemRenderer = Renderer.createHumanoidRenderer();
ItemModel(ItemRenderer);
	
var GUI;

newLevel=function(){
	clientMessage(ChatColor.BOLD + ChatColor.DARK_PURPLE + "© " + ChatColor.GREEN + "Back Tools " + ChatColor.DARK_AQUA + "By Electric " + ChatColor.GRAY + "BETA 1.0.2");
	clientMessage(ChatColor.YELLOW + "Se Gravar Deixe Os Creditos :)");
	clientMessage(ChatColor.DARK_RED + "Youtube.com/c/electricgames");
	clientMessage("Um item de cada vez!");
	};

useItem=function(x,y,z,i,b,s){
if(i==268){
Entity.setCarriedItem(getPlayerEnt(),0,0,0);
wooden_sword = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(wooden_sword,ItemRenderer.renderType);
Entity.setMobSkin(wooden_sword, "mob/wooden_sword.png");
Entity.setImmobile(wooden_sword,true);
rideAnimal(wooden_sword,getPlayerEnt());
woodenSword();
}

//Swords...
if(i==272){
Entity.setCarriedItem(getPlayerEnt(),0,0,0);
stone_sword = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(stone_sword,ItemRenderer.renderType);
Entity.setMobSkin(stone_sword, "mob/stone_sword.png");
Entity.setImmobile(stone_sword,true);
rideAnimal(stone_sword,getPlayerEnt());
stoneSword();
}

if(i==267){
Entity.setCarriedItem(getPlayerEnt(),0,0,0);
iron_sword = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(iron_sword,ItemRenderer.renderType);
Entity.setMobSkin(iron_sword, "mob/iron_sword.png");
Entity.setImmobile(iron_sword,true);
rideAnimal(iron_sword,getPlayerEnt());
ironSword();
}

if(i==276){
Entity.setCarriedItem(getPlayerEnt(),0,0,0);
diamond_sword = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(diamond_sword,ItemRenderer.renderType);
Entity.setMobSkin(diamond_sword, "mob/diamond_sword.png");
Entity.setImmobile(diamond_sword,true);
rideAnimal(diamond_sword,getPlayerEnt());
diamondSword();
}

if(i==283){
Entity.setCarriedItem(getPlayerEnt(),0,0,0);
gold_sword = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(gold_sword,ItemRenderer.renderType);
Entity.setMobSkin(gold_sword, "mob/gold_sword.png");
Entity.setImmobile(gold_sword,true);
rideAnimal(gold_sword,getPlayerEnt());
goldSword();
}

//Pickaxes...

if(i==270){
Entity.setCarriedItem(getPlayerEnt(),0,0,0);
wooden_pickaxe = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(wooden_pickaxe,ItemRenderer.renderType);
Entity.setMobSkin(wooden_pickaxe, "mob/wooden_pickaxe.png");
Entity.setImmobile(wooden_pickaxe,true);
rideAnimal(wooden_pickaxe,getPlayerEnt());
wooden_pickaxeT= true;
woodenPickaxe();
}

if(i==274){
Entity.setCarriedItem(getPlayerEnt(),0,0,0);
stone_pickaxe = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(stone_pickaxe,ItemRenderer.renderType);
Entity.setMobSkin(stone_pickaxe, "mob/stone_pickaxe.png");
Entity.setImmobile(stone_pickaxe,true);
rideAnimal(stone_pickaxe,getPlayerEnt());
stonePickaxe();
}

if(i==257){
Entity.setCarriedItem(getPlayerEnt(),0,0,0);
iron_pickaxe = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(iron_pickaxe,ItemRenderer.renderType);
Entity.setMobSkin(iron_pickaxe, "mob/iron_pickaxe.png");
Entity.setImmobile(iron_pickaxe,true);
rideAnimal(iron_pickaxe,getPlayerEnt());
ironPickaxe();
}

if(i==278){
Entity.setCarriedItem(getPlayerEnt(),0,0,0);
diamond_pickaxe = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(diamond_pickaxe,ItemRenderer.renderType);
Entity.setMobSkin(diamond_pickaxe, "mob/diamond_pickaxe.png");
Entity.setImmobile(diamond_pickaxe,true);
rideAnimal(diamond_pickaxe,getPlayerEnt());
diamondPickaxe();
}


if(i==285){
Entity.setCarriedItem(getPlayerEnt(),0,0,0);
gold_pickaxe = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(gold_pickaxe,ItemRenderer.renderType);
Entity.setMobSkin(gold_pickaxe, "mob/gold_pickaxe.png");
Entity.setImmobile(gold_pickaxe,true);
rideAnimal(gold_pickaxe,getPlayerEnt());
goldPickaxe();
}


//Axes...
if(i==271){
Entity.setCarriedItem(getPlayerEnt(),0,0,0)
wooden_axe = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(wooden_axe,ItemRenderer.renderType);
Entity.setMobSkin(wooden_axe, "mob/wooden_axe.png");
Entity.setImmobile(wooden_axe,true);
rideAnimal(wooden_axe,getPlayerEnt());
woodenAxe();
}

if(i==275){
Entity.setCarriedItem(getPlayerEnt(),0,0,0)
stone_axe = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(stone_axe,ItemRenderer.renderType);
Entity.setMobSkin(stone_axe, "mob/stone_axe.png");
Entity.setImmobile(stone_axe,true);
rideAnimal(stone_axe,getPlayerEnt());
stoneAxe();
}

if(i==258){
Entity.setCarriedItem(getPlayerEnt(),0,0,0)
iron_axe = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(iron_axe,ItemRenderer.renderType);
Entity.setMobSkin(iron_axe, "mob/iron_axe.png");
Entity.setImmobile(iron_axe,true);
rideAnimal(iron_axe,getPlayerEnt());
ironAxe();
}

if(i==279){
Entity.setCarriedItem(getPlayerEnt(),0,0,0)
diamond_axe = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(diamond_axe,ItemRenderer.renderType);
Entity.setMobSkin(diamond_axe, "mob/diamond_axe.png");
Entity.setImmobile(diamond_axe,true);
rideAnimal(diamond_axe,getPlayerEnt());
diamondAxe();
}

if(i==286){
Entity.setCarriedItem(getPlayerEnt(),0,0,0)
gold_axe = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(gold_axe,ItemRenderer.renderType);
Entity.setMobSkin(gold_axe, "mob/gold_axe.png");
Entity.setImmobile(gold_axe,true);
rideAnimal(gold_axe,getPlayerEnt());
goldAxe();
}

//Bow...
if(i==261){
Entity.setCarriedItem(getPlayerEnt(),0,0,0)
bow = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(bow,ItemRenderer.renderType);
Entity.setMobSkin(bow, "mob/bow.png");
Entity.setImmobile(bow,true);
rideAnimal(bow,getPlayerEnt());
Bow();
}

if(i==280){
Entity.setCarriedItem(getPlayerEnt(),0,0,0)
stick = Level.spawnMob(x,y,z,EntityType.VILLAGER);
Entity.setRenderType(stick,ItemRenderer.renderType);
Entity.setMobSkin(stick, "mob/stick.png");
Entity.setImmobile(stick,true);
rideAnimal(stick,getPlayerEnt());
Stick();
 
}};




      
function woodenSword(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(wooden_sword);
Player.addItemInventory(268,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}



function stoneSword(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(stone_sword);
Player.addItemInventory(272,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}



function ironSword(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(iron_sword);
Player.addItemInventory(267,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}


function diamondSword(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(diamond_sword);
Player.addItemInventory(276,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}


function goldSword(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(gold_sword);
Player.addItemInventory(283,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}


function woodenPickaxe(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(wooden_pickaxe);
Player.addItemInventory(270,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}


function stonePickaxe(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(stone_pickaxe);
Player.addItemInventory(274,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}


function ironPickaxe(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(iron_pickaxe);
Player.addItemInventory(257,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}



function diamondPickaxe(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(diamond_pickaxe);
Player.addItemInventory(278,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}



function goldPickaxe(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(gold_pickaxe);
Player.addItemInventory(285,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}


function woodenAxe(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(wooden_axe);
Player.addItemInventory(271,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}
       
      
       
function stoneAxe(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(stone_axe);
Player.addItemInventory(275,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}


function ironAxe(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(iron_axe);
Player.addItemInventory(258,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}



function diamondAxe(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(diamond_axe);
Player.addItemInventory(279,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}



function goldAxe(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(gold_axe);
Player.addItemInventory(286,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}



function Bow(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(bow);
Player.addItemInventory(261,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}



function Stick(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get(); 
ctx.runOnUiThread(new java.lang.Runnable(){
 
run: function(){
 
try{
GUI = new android.widget.PopupWindow();
var layoutButton = new android.widget.LinearLayout(ctx);
layoutButton.setOrientation(android.widget.LinearLayout.VERTICAL);
GUI.setContentView(layoutButton);
GUI.setWidth(70);
GUI.setHeight(70);
var button = new android.widget.Button(ctx);
layoutButton.addView(button);
button.setText("BT");
button.setOnClickListener(new android.view.View.OnClickListener({ 
onClick: function(viewarg){
Entity.remove(stick);
Player.addItemInventory(280,1);
GUI.dismiss();
}
}));
GUI.showAtLocation(ctx.getWindow().getDecorView(), android.view.Gravity.RIGHT | android.view.Gravity.CENTER, 0, 0);
}
catch(err){
print('An error occured: ' + err);
}}})}
       
       
       
function leaveGame(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get();
ctx.runOnUiThread(new java.lang.Runnable({ run: function(){
if(GUI != null){
GUI.dismiss();
GUI = null;
}}}));}